back_bottom  = [0,0];
back_top     = [0,8];
front_top    = [2,8];
front_mid    = [4,3];
front_bottom = [4,0];

frame_points = [back_bottom,
    back_top, front_top,
    front_mid, front_bottom];

rotate([90,0,0]){
  linear_extrude(height=10)
    polygon(frame_points);

  translate([3,5.5,6.5])
    rotate([0,0,292])
    resize([5,2,5])
    sphere(d=10, $fn=50);

  for(i=[7,5.5,4])
    for(j=[.8,1.2,1.6,2,2.4,2.8,3.2])
      if(rands(0,10,1)[0]>6)
        translate([4.5-(i/2.5),i,j])
          cube(size=[.8,.6,.2], center = false);
      else
        translate([4.7-(i/2.5),i,j])
          cube(size=[.8,.6,.2], center = false);  
}

